﻿open Expecto
open BitBadger.Documents.Tests.CSharp

let postgresOnly =
    match System.Environment.GetEnvironmentVariable "BBDOX_PG_ONLY" with
    | null -> false
    | "true" -> true
    | _ -> false

let allTests =
    testList "BitBadger.Documents" [
        if not postgresOnly then
            CommonTests.all
            CommonCSharpTests.Unit
        PostgresTests.all
        PostgresCSharpTests.All
        PostgresExtensionTests.integrationTests
        testSequenced PostgresCSharpExtensionTests.Integration
        if not postgresOnly then
            SqliteTests.all
            SqliteCSharpTests.All
            SqliteExtensionTests.integrationTests
            testSequenced SqliteCSharpExtensionTests.Integration
    ]

[<EntryPoint>]
let main args = runTestsWithCLIArgs [] args allTests
